# Uses of Interface
org.apache.velocity.util.introspection.Converter

Packages that use Converter
Package
Description
org.apache.velocity.util.introspection

## Uses of Converter in org.apache.velocity.util.introspection

Methods in org.apache.velocity.util.introspection that return Converter
Modifier and Type
Method
Description
`Converter`
ConversionHandler.`getNeededConverter(Class<?> formal, Class<?> actual)`
Deprecated.
Returns the appropriate Converter object needed for an explicit conversion Returns null if no conversion is needed.
`Converter<?>`
TypeConversionHandler.`getNeededConverter(Type formal, Class<?> actual)`
Returns the appropriate Converter object needed for an explicit conversion Returns null if no conversion is needed.
`Converter<?>`
TypeConversionHandlerImpl.`getNeededConverter(Type formal, Class<?> actual)`
Returns the appropriate Converter object needed for an explicit conversion Returns null if no conversion is needed.
Methods in org.apache.velocity.util.introspection with parameters of type Converter
Modifier and Type
Method
Description
`void`
ConversionHandler.`addConverter(Class<?> formal, Class<?> actual, Converter converter)`
Deprecated.
Add the given converter to the handler.
`void`
TypeConversionHandler.`addConverter(Type formal, Class<?> actual, Converter<?> converter)`
Add the given converter to the handler.
`void`
TypeConversionHandlerImpl.`addConverter(Type formal, Class<?> actual, Converter<?> converter)`
Add the given converter to the handler.
Constructors in org.apache.velocity.util.introspection with parameters of type Converter
Modifier
Constructor
Description
``
`VelMethodImpl(Method method, boolean wrapArray, Converter<?>[] converters)`